//---------------------------------------------------------------------------

#ifndef TMainH
#define TMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <jpeg.hpp>
#include "estructuras.h"
#include "DigitNum.h"
//---------------------------------------------------------------------------
class Tmain : public TForm
{
__published:	// IDE-managed Components
        TImage *Image25;
        TTrackBar *TrackBar1;
        TLabel *lbDescr;
        TPanel *selector;
        TLabel *lbPVPmin;
        TSpeedButton *SpeedButton1;
        TSpeedButton *SpeedButton2;
        TLabel *lbPVPmax;
        TLabel *lbPVPcurr;
        TPanel *Panel1;
        TLabel *lbHDescr;
        TShape *Shape1;
        TLabel *lbClicks;
        TLabel *Label1;
        TLabel *lbHPVP;
        TDigitNum *DigitNum1;
        TDigitNum *DigitNum2;
        TButton *Button1;
        TEdit *Edit1;
        void __fastcall SpeedButton1Click(TObject *Sender);
        void __fastcall SpeedButton2Click(TObject *Sender);
        void __fastcall FormPaint(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall FormMouseMove(TObject *Sender, TShiftState Shift,int X, int Y);
        void __fastcall lbDescrDblClick(TObject *Sender);
        void __fastcall TrackBar1Change(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Edit1KeyPress(TObject *Sender, char &Key);
private:	// User declarations
        AnsiString fuenteLCD;
        TLabel **etiquetas, *etiqueta;
        TImage **productos, *producto;
        void __fastcall MouseMove(TObject *Sender,TShiftState Shift, int X, int Y);
        void __fastcall Click(TObject *Sender);
        void __fastcall muestraSelector(TImage *producto);



        TProds *pvp;
public:		// User declarations
        __fastcall Tmain(TComponent* Owner);


        int filas, columnas;
        int TVx,TVy,TVm;
};
//---------------------------------------------------------------------------
extern PACKAGE Tmain *main;
//---------------------------------------------------------------------------
#endif
